Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(25)

Issue 2757233004: fix #29108, improve inference error messages (Closed)

Created:
2 years, 7 months ago by Jennifer Messerly
Modified:
2 years, 7 months ago
Reviewers:
Leaf
CC:
reviews_dartlang.org
Target Ref:
refs/heads/master
Visibility:
Public.

Description

Patch Set 1 #

Total comments: 7

Patch Set 2 : feedback #

Patch Set 3 : rebuild ddc #

Unified diffs Side-by-side diffs Delta from patch set Stats (+266 lines, -35 lines) Patch
M pkg/analyzer/lib/src/generated/type_system.dart View 1 9 chunks +70 lines, -32 lines 0 comments Download
M pkg/analyzer/test/generated/strong_mode_test.dart View 1 2 chunks +187 lines, -0 lines 0 comments Download
M pkg/dev_compiler/lib/sdk/ddc_sdk.sum View 1 2 Binary file 0 comments Download
M pkg/dev_compiler/tool/sdk_expected_errors.txt View 1 2 2 chunks +9 lines, -3 lines 0 comments Download

Messages

Total messages: 7 (2 generated)
Jennifer Messerly
thoughts on these improvements? There's 3 primary ones: * extends clause omitted unless it failed ...
2 years, 7 months ago (2017-03-20 22:03:27 UTC) #2
Leaf
lgtm https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart File pkg/analyzer/test/generated/strong_mode_test.dart (right): https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart#newcode1121 pkg/analyzer/test/generated/strong_mode_test.dart:1121: Tried to infer 'double' for 'T' but it ...
2 years, 7 months ago (2017-03-20 22:46:55 UTC) #3
Jennifer Messerly
Thanks Leaf!!! https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart File pkg/analyzer/test/generated/strong_mode_test.dart (right): https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart#newcode1121 pkg/analyzer/test/generated/strong_mode_test.dart:1121: Tried to infer 'double' for 'T' but ...
2 years, 7 months ago (2017-03-21 01:08:08 UTC) #4
Jennifer Messerly
https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart File pkg/analyzer/test/generated/strong_mode_test.dart (right): https://codereview.chromium.org/2757233004/diff/1/pkg/analyzer/test/generated/strong_mode_test.dart#newcode1122 pkg/analyzer/test/generated/strong_mode_test.dart:1122: Argument 'f' inferred as '(int) → double' On 2017/03/20 ...
2 years, 7 months ago (2017-03-21 01:08:36 UTC) #5
Jennifer Messerly
2 years, 7 months ago (2017-03-21 01:13:01 UTC) #7
Message was sent while issue was closed.
Committed patchset #3 (id:40001) manually as
4f9fff9ebd6f22051e438f33b3585e25bb91ccd5 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698